.TH snmpa_notification_delivery_info_receiver 3 "snmp  4.13.5" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
snmpa_notification_delivery_info_receiver \-  Behaviour module for the SNMP agent notification delivery information receiver\&. 
.SH DESCRIPTION
.LP
This module defines the behaviour of the notification delivery information receiver\&. 
.LP
A \fIsnmpa_notification_delivery_info_receiver\fR compliant module must export the following functions: 
.RS 2
.TP 2
*
delivery_targets/3
.TP 2
*
delivery_info/4
.RE
.LP
The semantics of them and their exact signatures are explained below\&. 

.SH DATA TYPES

.nf
address() = A 4-tuple
    
.fi
.SH EXPORTS
.LP
.B
delivery_targets(Tag, Targets, Extra) -> void()
.br
.RS
.TP
Types
Tag = term()
.br
Targets = [target()]
.br
target() = {Address, Port}
.br
Address = address()
.br
Port = integer()
.br
Extra = term()
.br
.RE
.RS
.LP
Inform about target addresses\&. 
.LP
This is the first function called when a notification delivery is in progress\&. It informs the \fIreceiver\fR which targets will get the notification\&. The result of the delivery will be provided via successive calls to \fIdelivery_info/4\fR function, see below\&.
.RE
.LP
.B
delivery_info(Tag, Target, DeliveryResult, Extra) -> void()
.br
.RS
.TP
Types
Tag = term()
.br
Target = target()
.br
target() = {Address, Port}
.br
Address = address()
.br
Port = integer()
.br
DeliveryResult = delivery_result()
.br
delivery_result() = no_response | got_response
.br
Extra = term()
.br
.RE
.RS
.LP
Inform about delivery result\&.
.LP
This function is called for each target in the \fITargets\fR argument of the \fIdelivery_targets/3\fR function, see above\&. 
.LP
The purpose is to inform the \fIreceiver\fR of the result of the delivery (was the notification acknowledged or not) for each target\&.
.RE
